collectd (5.12.0-27ubuntu1) resolute; urgency=medium

  * debian/patches/use_c++_std_17_for_grpc.patch:
    - update to std17 needed for the new grpc version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2026 12:18:10 +0100

collectd (5.12.0-27build1) resolute; urgency=medium

  * no-change rebuild for dpdk 25.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Dec 2025 08:39:24 +0100

collectd (5.12.0-27) unstable; urgency=medium

  * gcc 15 build fixes (Closes: #1096452)
  * [ed20653] Fix building with current libmongoc.
    Thanks to Roberto C. Sánchez, Niko Tyni (Closes: #1112629)
  * [1adc0d0] Use new CURLINFO_SIZE_(DOWN|UP)LOAD_T.
  * [0ce8fd6] Use __attribute__((unused)) instead of ATTRIBUTE_UNUSED.
    Thanks to Roberto C. Sanchez (Closes: #1112683)
  * [9b33e82] Also use new CURLINFO_SPEED_(UP|DOWN)LOAD_T

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Sep 2025 09:43:02 +0200

collectd (5.12.0-26) unstable; urgency=medium

  * [f830834] debian/rules went missing from the last upload.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Jun 2025 19:08:05 +0200

collectd (5.12.0-25) unstable; urgency=medium

  * [fadf6af] Also integrate the changes from -22.1.
    Unfortunately they never made it into salsa or into the bug tracker and
    got lost on the way.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Jun 2025 17:56:53 +0200

collectd (5.12.0-24) unstable; urgency=medium

  * [a977729] curl_easy_setopt: always pass long as a parameter.
    Thanks to Santiago Vila (Closes: #1107407)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Jun 2025 15:22:54 +0200

collectd (5.12.0-23) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 May 2025 07:01:07 +0200

collectd (5.12.0-22.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Maximilian Engelhardt ]
  * Remove armhf from the libxen-dev Build-Depends.
    (Closes: 1090989)

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jan 2025 13:32:20 +0000

collectd (5.12.0-22) unstable; urgency=medium

  [ Luca Boccassi ]
  * [0914fbf] Backport patch to fix FTBFS with dpdk 24.11 (Closes: #1087581)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Nov 2024 18:01:04 +0100

collectd (5.12.0-21) unstable; urgency=medium

  * [6f26c38] Enable grpc on all power architectures
  * [5cae2db] Remove generated oconfig files on clean.
    Thanks to Lucas Nussbaum (Closes: #1044119)
  * [41f9e21] Change tests as they fail on ci.debian.net
    run listval for now only.
    we need to figure out why the tests fail on ci.debian.net only

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Nov 2024 13:07:40 +0100

collectd (5.12.0-20) unstable; urgency=medium

  * [3072a6a] Let configure find JAVA_LDFLAGS/CPPFLAGS.
    The included .mk file doesn't define the necessary variables on all
    architectures.
  * [388a0a6] Build with grpc on loong64 (Closes: #1085984)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 24 Oct 2024 14:42:15 +0200

collectd (5.12.0-19) unstable; urgency=medium

  [ James Morris ]
  * [393db23] Do not install files to /var/run.
    Installing to /var/run causes issues during offline image building when
    the directory is not available.
    Debian policy states /var/run should not be included in packages
    https://www.debian.org/doc/debian-policy/ch-opersys.html#run-and-run-lock

  [ Bernd Zeimetz ]
  * [ec32251] use curl-openssl instead of gnutls
    Closes: #1081073

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Oct 2024 01:11:57 +0200

collectd (5.12.0-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke ./configure with --with-libgcrypt=/usr GCRYPT_LIBS=-lgcrypt
    to sidestep ./configure's reliance on libgcrypt-config to locate
    libgcrypt. Closes: #1070905

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jul 2024 18:42:43 +0200

collectd (5.12.0-18) unstable; urgency=medium

  * [e3c9674] add .gitignore to ignore swp files
  * [717b1df] Add -std=c++14 for CXX.
    Thanks to Sebastian Ramacher (Closes: #1068580)
  * [4f7b1b0] Patch configure.ac to handle c++14

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Apr 2024 00:49:01 +0200

collectd (5.12.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062094

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:04:03 +0000

collectd (5.12.0-17) unstable; urgency=medium

  * [lots of commits] adding some basic autopkgtest
    - run daemon
    - get values
    - check that basic plugins work
  * [791b61a] add .gitignore to ignore swp files

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 21:09:33 +0100

collectd (5.12.0-16) unstable; urgency=medium

  * [3d4bf71] Revert "Disable onewire until it is in testing again."
    This reverts commit c8207fc7db2cf4fd7c7d342bb28e9d9995011233.
  * [f297b98] grpc is available on loong64 powerpc ppc64 now.
  * [360495c] No mongodb on loong64
  * [b75ac03] Log dpkg-architecture -l in case of failures.
  * [a975f51] Make debug output a bit readable
  * [339ab70] Disable varnish plugin.
    Thanks to Paul Gevers (Closes: #1060776)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Feb 2024 16:26:58 +0100

collectd (5.12.0-15) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b856351] Fix lintian error:
    E: collectd-core: depends-on-obsolete-package Depends: lsb-base

  [ Samuel Thibault ]
  * [c052c93] d/control,rules: Fix arch filtering

  [ Luca Boccassi ]
  * [da43466] Disable dpdk plugin on i386
    libdpdk-dev will no longer build for i386, disable it (Closes: #1057146)

  [ Bernd Zeimetz ]
  * [451bab7] Update JAVA_LIBDIR for current openjdks
  * [48c6d15] Use include from javahelper to retrieve java directories.
  * [b8fd49c] Don't build java plugin on i368.
    Linking libjvm fails due to missing symbols in libjvm. (Closes: #1057712)
  * [e1162da] Fix copy&paste error, we check the arch, not os
  * [08c5029] Add libjansson-dev as build-dependency
    (was magically pulled in by libdpdk-dev before).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:35:28 +0100

collectd (5.12.0-14) unstable; urgency=medium

  * [aa8f170] Fix installing systemd service and init script.
    Closes: ##1031672
    Thanks to Thomas Goirand

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Feb 2023 13:55:26 +0100

collectd (5.12.0-13) unstable; urgency=medium

  * [694f2c9] Revert "Disable nut plugin again."
    This reverts commit e1c67e57f96bc4ad3e85f9a7a695742d36980d64.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Jan 2023 09:08:10 +0100

collectd (5.12.0-12) unstable; urgency=medium

  * [d077f5d] Add lintian override for the java plugin.
  * [6ebe59a] Remove removed debconf questions from translations
  * [0c5f9dc] collectd-core: debconfig is used in postrm only.
    Override lintian errors.
  * [6be4222] Add package name to lintian overrides
  * [bda81fa] Migrate to dh / debhelper compat 13
  * [074299d] Fix building with python 3.11 (Closes: #1028146)
  * [69e6716] Move dh_install to the appropriate place
  * [45ea76f] Use debian/tmp for header/lib updates

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jan 2023 16:54:46 +0100

collectd (5.12.0-11) unstable; urgency=medium

  [ Debian Janitor ]
  * [c8d0c73] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on dpkg-dev, iptables-dev, libcurl4-gnutls-dev, libi2c-dev, liboping-dev, libriemann-client-dev, librrd-dev, libsnmp-dev, libvirt-dev, linux-libc-dev and protobuf-compiler.
    * collectd-core: Drop versioned constraint on collectd in Replaces.
    * collectd-utils: Drop versioned constraint on collectd in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Replaces.
    * libcollectdclient-dev: Drop versioned constraint on collectd-dev in Breaks.
    Changes-By: deb-scrub-obsolete

  [ Gioele Barabucci ]
  * [7cdaece] d/collectd.postinst: Remove test for ancient version.
    Version 4.10.0-1 is older than the version in oldoldstable (5.7.1-1.1).
    The test in `postinst` has thus been redundant for a long time and
    can be removed.
  * [f4c1e6f] d/collectd-core.{config,postinst}: Remove debconf questions about ancient versions.
    Versions 3.x and 4.x are older than the version in oldoldstable (5.7.x),
    released in 2017.
    All tests connected to these debconf questions have thus been redundant
    for a long time and can be removed.
  * [1afaac8] d/watch: Update upstream URL (Closes: #964112)
    This fixes the uscan issue:
    ```
    In debian/watch no matching files for watch line
      https://github.com/collectd/collectd/tags /collectd/collectd/archive/collectd-([0-9.-]+)\.tar\.gz
    ```
    The lines are adapted the `dh-make` template.

  [ Bernd Zeimetz ]
  * [e1c67e5] Disable nut plugin again.
    Various RC bugs for a longer time, not waiting for that.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 22 Aug 2022 17:24:43 +0200

collectd (5.12.0-10) unstable; urgency=medium

  * [343f857] Don't use local variables in global pointers
    Closes: #1016187
  * [254a859] Fix building with current nut version.
  * [15098cc] Also fix local variables issue in write_prometheus

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Aug 2022 22:38:49 +0200

collectd (5.12.0-9) unstable; urgency=medium

  * [577cd1f] Don't build mysql plugin on kfreebsd*
  * [335185e] Disable libvirt plugin on sh4/ia64.
    Keeping it disabled on kfreebsd*
  * [6f2a0f7] Disable barometer/i2c on hurd
  * [3f893cf] Also disable libvirt on alpha.
  * [8482e2a] Don't build the xencpu plugin on i386.
    Starting with xen version 4.16, xen is no longer built on the i386 architecture in Debian.
    Thanks to Maximilian Engelhardt <maxi@daemonizer.de> (Closes: #1006250)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Feb 2022 01:17:43 +0100

collectd (5.12.0-8) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * [4a69d6e] Fix CGI::param error in collection3
    ref. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=982294
    (Closes: #982294)

  [ Bernd Zeimetz ]
  * [c8207fc] Disable onewire until it is in testing again.
  * [1379323] Drop hddtemp module.
    hddtemp is going to be removed from the
    archive.
    Thanks to Aurelien Jarno (Closes: #1001954)
  * [5d13bb9] Revert "Disable nut plugin for now."
    This reverts commit 8846b4564bfca329542c8a2567e46e1b28448094.
    Thanks to Michał Mirosław (Closes: #989805)
  * [16b05e2] Update changelog to the version from unstable
    The 5.12.0-7 upload was actually never pushed to the repository.
  * [c6b9552] Remove patch~ file that was accidentally added some time ago.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Jan 2022 15:40:42 +0100

collectd (5.12.0-7) unstable; urgency=medium

  * Team upload.
  * Fix CGI::param error in collection3 (Closes: 982294)

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 14 Jul 2021 21:46:02 +0900

collectd (5.12.0-6) unstable; urgency=medium

  * [b4e7861] collectd-dev: Add missing header files again.
    Thanks to Benjamin Drung (Closes: #968950)
  * [3261aa1] Also create necessary directories
  * [6c0c6be] Fix target location in dh_install

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 01 Jun 2021 17:56:33 +0200

collectd (5.12.0-5) unstable; urgency=medium

  * [11ee08b] Disable tokyotyrant.
    See #980331 for details

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Jan 2021 10:52:28 +0100

collectd (5.12.0-4) unstable; urgency=medium

  * [b96d62e] Fix test_smart for big-endian.
    Also enable the smart plugin everywhere again.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Jan 2021 21:09:49 +0100

collectd (5.12.0-3) unstable; urgency=medium

  * [e0f135d] Actually fix the last upload.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Dec 2020 13:06:54 +0100

collectd (5.12.0-2) unstable; urgency=medium

  * [1497198] Smart is broken on some architectures.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Dec 2020 01:20:16 +0100

collectd (5.12.0-1) unstable; urgency=medium

  * [6003e65] Updating debian/watch file
  * [5504abd] Update upstream source from tag 'upstream/5.12.0'
    Update to upstream version '5.12.0'
    with Debian dir 6ec21ce26138afb993ce3ef5011c207506c64066
  * [63e30b4] Refreshing patches
  * [fe7e50f] Disable netstat_udp on !freebsd

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Dec 2020 21:35:49 +0100

collectd (5.11.0-7) unstable; urgency=medium

  * [d6feaf3] Fix arch list for protobuf-compiler-grpc.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 11:21:09 +0200

collectd (5.11.0-6) unstable; urgency=medium

  * [fc03f74] Disable grpc on non release architectures.
    This should allow collectd to build on many more architectures again.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jul 2020 10:45:54 +0200

collectd (5.11.0-5) unstable; urgency=medium

  * [a7f46fb] Merge branch 'lintian-fixes' into 'master'
    Fix some issues reported by lintian
    See merge request debian/pkg-collectd!4
  * [f5943cf] Pass LDFLAGS and friends via environment.
    configure ignores them otherwise
  * [a5060c6] Remove --disable-lvm.
    Plugin was removed

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 23:37:47 +0200

collectd (5.11.0-4) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [ee00bbb] Fix FTBFS with new libmicrohttp (Closes: #964593)

  [ Antonio Russo ]
  * [253f1e6] Fix FTBFS: disable gmond (ganglia)

  [ Bernd Zeimetz ]
  * [66162b0] remove old comments from d/control
  * [83daeea] Refresh patch.
    dpkg doen't handle it properly when the same file is changed more than
    once in one patch.
  * [1012b25] microhttpd-api-change: also fix write_prometheus
  * [e1675c6] Fix return type
  * [f16bc34] Link -latmomic on armel mips mipsel powerpc.
    Workaround for grpc.
  * [67aa668] pass CXXFLAGS to configure

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 24 Jul 2020 11:27:30 +0200

collectd (5.11.0-3) unstable; urgency=medium

  * [569deaf] grpc is now available on all release architectures.
    Thanks to Adrian Bunk (Closes: #961369)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 May 2020 21:08:22 +0200

collectd (5.11.0-2) unstable; urgency=medium

  * [735fbed] Disable intel-only features on !intel platforms

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Mar 2020 13:49:28 +0200

collectd (5.11.0-1) unstable; urgency=medium

  * [2cba96b] Update upstream source from tag 'upstream/5.11.0'
    Update to upstream version '5.11.0'
    with Debian dir d4444dcbc14a8003be999896b12c2e077063b13e
    Seems to fix python module linking issues (Closes: #953953).
  * [8bc0973] Refreshing patches
  * [8fb1fbf] Updating changelog
  * [4cd0893] Build-depend on libslurm-dev
  * [e7082d8] Disable modules we can't build

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Mar 2020 23:16:47 +0100

collectd (5.10.0-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [53d9fa8] Ignore blhc/reprotest failures
  * [72c2520] Add comment about write_stackdriver to pkg desc.
  * [2da2cdd] Drop collectd-dbg package.
    Use automatically generated dbg packages instead.

  [ Christian Ehrhardt ]
  * [2e4471c] - debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp.
  * [de8e965] - debian/rules: Work around FTBFS with gcc9 -Wno-error=format-truncation on ppc64.

  [ Antonio Russo ]
  * [c15ecdc] Move to debhelper 10.
    In alignment with the move to dbgsym, use debhelper 10.
  * [1926a15] Remove build-dependency on iptables-dev.
    Closes: #951088.
  * [b29dff9] Correct path in lintian override
  * [8cfb32d] Remove build-dependency on libiptc-dev.
  * [5357523] Correct path in lintian override
  * [450186c] Release 5.9.2.g-2

  [ Bernd Zeimetz ]
  * [baa5acf] New upstream version 5.10.0
  * [016a310] Updating changelog
  * [7ee0170] Change dependency ordering for libiptc-dev
  * [ed45d82] remove extra /* from jvm override
  * [db2ffff] Depend on libsensors-dev.
    Thanks to Aurelien Jarno (Closes: #917435)
  * [8409ccd] Don't suggest icinga.
    Thanks to Bas Couwenberg (Closes: #933256)
  * [d22c27d] libcollectdclient1: suggest collectd, don't recommend.
    Thanks to Bernhard Schmidt (Closes: #933296)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 07 Mar 2020 01:11:08 +0100

collectd (5.9.2.g-1) unstable; urgency=medium

  * [978cc41] Use github tags instead of collectd.org.
    Seems the build process is buggy, Closes: #944535
  * [8929f0e] Update upstream source from tag 'upstream/5.9.2.g'
    Update to upstream version '5.9.2.g'
    with Debian dir 3d9a5865a5c149693e7dc99672fbd725af72b2be
  * [31e5ca1] Snapshot changelog

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 14 Nov 2019 13:01:20 +0100

collectd (5.9.2-4) unstable; urgency=medium

  * The "do not dput without looking at the CI upload".
  * [4720c20] Finish the NEWS file renaming.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 02:06:32 +0100

collectd (5.9.2-3) unstable; urgency=medium

  * [e4535ac] Migrate to python3
  * [53fe51f] It is debian/NEWS, not debian/NEWS.Debian
  * [5f21e0e] Mention migration to Python3 in debian/NEWS
  * [8846b45] Disable nut plugin for now.
    Nut has too many rc bugs to enter testing soon.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 01:47:49 +0100

collectd (5.9.2-2) unstable; urgency=medium

  * [0155b6e] revert @zenity's configure exit change
  * [9df748b] LVM is still deprecated
  * [fbc4f98] Build-depend on libqpid-proton11-dev.
    For the amqp1 module
  * [dfb3ff6] Disable gpu_nvidia module.
    Needs non-free libraries.
  * [3fe11c6] Enable mqtt again - moquitto is in testing
  * [6f7072b] pci_errors module is broken on some arches
  * [21de403] Mention amqp1 output plugin in description.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 01:00:31 +0100

collectd (5.9.2-1) unstable; urgency=medium

  * [e2bc528] Stay with the common debian/version tag.
  * [989ce6e] Collect and review changes from @zebity
    https://github.com/zebity/pkg-debian
  * [6119616] Configure gitlab-ci
  * [4f34b97] Update upstream source from tag 'upstream/5.9.2'
    Update to upstream version '5.9.2'
    with Debian dir af7c66a8817dcb447a93e60e87aff32a05a0b4c3
    This fixes build issues with recent libgps-dev.
    Closes: #926528
  * [ccc5baf] snapshot changelog
  * [ad672e1] fake commit for CI
  * [65f9d1b] Make deps for collectd automatic
  * [07a98ce] Set CXXFLAGS from dpkg-buildflags
  * [918a39f] Updating git urls
  * [41e284a] Use a tracker.d.o team as maintainer.
    Adding myself as uploader.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Nov 2019 22:29:36 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcollectdclient1t64`.
